grub2/0369-missing-file.patch
Peter Jones f74b50e380 Rebase to upstream, fix a pile of bugs. The usual.
Signed-off-by: Peter Jones <pjones@redhat.com>
2013-06-12 15:37:08 -04:00

56 lines
1.8 KiB
Diff

From 8095fabb0e89dad72cfcb337df3637b8ec92b6c3 Mon Sep 17 00:00:00 2001
From: Vladimir 'phcoder' Serbinenko <phcoder@gmail.com>
Date: Sat, 27 Apr 2013 22:55:02 +0200
Subject: [PATCH 369/482] missing file
---
tests/core_compress_test.in | 36 ++++++++++++++++++++++++++++++++++++
1 file changed, 36 insertions(+)
create mode 100644 tests/core_compress_test.in
diff --git a/tests/core_compress_test.in b/tests/core_compress_test.in
new file mode 100644
index 0000000..bd57f6f
--- /dev/null
+++ b/tests/core_compress_test.in
@@ -0,0 +1,36 @@
+#! /bin/sh
+# Copyright (C) 2013 Free Software Foundation, Inc.
+#
+# GRUB is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# GRUB is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with GRUB. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+grubshell=@builddir@/grub-shell
+
+. "@builddir@/grub-core/modinfo.sh"
+
+# FIXME: Only mips currently supports configurable core compression
+case "${grub_modinfo_target_cpu}-${grub_modinfo_platform}" in
+ *-emu | i386-* | x86_64-* | sparc64-* | ia64-*)
+ exit 0
+ ;;
+esac
+
+
+if [ "$(echo hello | "${grubshell}" --grub-mkimage-extra=-C --grub-mkimage-extra=xz)" != "Hello World" ]; then
+ exit 1
+fi
+
+if [ "$(echo hello | "${grubshell}" --grub-mkimage-extra=-C --grub-mkimage-extra=none)" != "Hello World" ]; then
+ exit 1
+fi
--
1.8.2.1